no sound on asus a9t laptop. can't make it work. i got SiS si7012 soundcard integrated

Bug #204794 reported by neverone on 2008-03-21
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: hal

I am running an Ubuntu 7.10 on Asus a9t (a laptop) with a SiS SI7012 soundcard. Pretty much everything works fine apart from the sound, which isn't working at all. I have tried several solutions mentioned on ubuntu official forum, reinstalled alsa drivers, reconfigured them, set the alsa-mixer etc.... nothing worked. Does anybody have any other solutions? Or, have I done something wrong? This might be possible, as I am pretty new to Linux, so please, if you have any idea what I might do, I would be very grateful if you posted them - just be precise about what i should do.

Thanx in advance!

ProblemType: Bug
Architecture: i386
Date: Fri Mar 21 20:36:10 2008
DistroRelease: Ubuntu 7.10
Package: hal 0.5.9.1-6ubuntu5
PackageArchitecture: i386
SourcePackage: hal
Uname: Linux wasteland 2.6.22-14-generic #1 SMP Tue Feb 12 07:42:25 UTC 2008 i686 GNU/Linux

neverone (cdjay) wrote :
hants (andreowitsch) wrote :

hi ,

this solves your problem:

I) open console
II) su to root
III) run alsamixer
go right with the arrow keys and
1) <Master_S> (Master Surround):
unmute (press m), increase volume (up-arrow key)
2) <PCM>:
unmute (press m), increase volume (up-arrow key)
3) <Channel> (Channel Mode):
set to 4 or 6 (up-arrow key)
4)<Exchange> (Exchange Front/Surround)
unmute (press m)
5)exit

which is in short:
1) setting channels to 4 or 6
2) enabling exchange front/surround
3) unmuting master/surround and increasing its volume

you can do this with any mixer configuration utility as kmix or alsamixer.

btw, google is your friend ;)

Daniel T Chen (crimsun) on 2008-12-04
Changed in hal:
status: New → Invalid
Acetilene (pozzy87) wrote :

I have the same bug, but the solution reported by hants don't work... The distribution is kubuntu 9.04

Changed in linux-ubuntu-modules-2.6.22 (Ubuntu):
status: Invalid → Confirmed

Your Ubuntu version is EOL. Can you please test this with a supported Ubuntu version? Thank you!

Changed in linux-ubuntu-modules-2.6.22 (Ubuntu):
status: Confirmed → Incomplete
affects: linux-ubuntu-modules-2.6.22 (Ubuntu) → linux (Ubuntu)
Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers